Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 13:33
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.6.2.1 with kernel 3.6.2
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 10 [142 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Author Message
Satori

Joined: 14 Jan 2013
Posts: 25

PostPosted: Mon 14 Jan 2013, 21:38    Post subject: dPup on a dell d830  

Nice job.

Installed dPup 3.6.2 on a Dell D830 with an nvidia NVS 140M (comparable to a 8400), and it runs fine after compiling NVidia's 310 driver.

The reason I choose dPup from all the other derivatives was:

a) Debian Squeeze, which is built from the new C compiler
b) A kernel that supports SMP
c) Video and Sound device support

My needs are to use 3rd party debian software, in particular, the Second Life client viewers and dPup runs it pretty well.

Hope you maintain support for dPup, as the debian people put a great deal of work in converting to 6.0 and this distro makes their efforts worthwhile.
dPup 3.6.2 custom desktop.png
Description 
png

 Download 
Filename  dPup 3.6.2 custom desktop.png 
Filesize  1.45 MB 
Downloaded  220 Time(s) 
Back to top
View user's profile Send private message 
anikin

Joined: 10 May 2012
Posts: 508

PostPosted: Tue 15 Jan 2013, 14:40    Post subject:  

anikin wrote:
pemasu wrote:
Anikin. It loads with modprobe eee for me and also creates /proc/eee and those files inside the /proc/eee it should.
So....I am clueless....

pemasu, I managed to get it loaded manually, but only once. Did first mod prob eeepc_laptop, and then modprob eee. It loaded, responded to commands, the folder was there. Rebooting and it's gone and modprob doesn't help anymore.

Hi pemasu,

The fan control issue has been solved, as I already mentioned. The reason it failed to work from the start, is because I lumped together and loaded all the modules that had an Asus name on it. Did some cleanup, removed what wasn't needed, like 'asus_oled' module and now it works perfectly well. It can be easily managed either from the terminal or via Micko's GUI app.
fancontrl_dpup362.png
 Description   
 Filesize   35.19 KB
 Viewed   808 Time(s)

fancontrl_dpup362.png

fanctrl_gui_dpup362.png
 Description   
 Filesize   34 KB
 Viewed   785 Time(s)

fanctrl_gui_dpup362.png

Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Fri 18 Jan 2013, 06:42    Post subject:  

Hi Pemasu,
Satori wrote:
...Hope you maintain support for dPup,...

i also give my vote for ... Smile
moreover, a survey of CPU temperature on various 54X7 and uPup3.7.2 vs dPup3.6.2 showed that this dPup3.6.2 keeps CPU the coolest Cool ( in powersave mode, tempicon background is most of time blue coloured => i.e. temperature = 40°C or lower )

thanks in advance
charlie
Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Fri 25 Jan 2013, 12:47    Post subject: gcad3d ...gtkglarea error  

Hi,
exprimo 5X3.6.2.1
here tried to install gcad3d-1.82 (using the debian archive) on a fresh squeezesave session ....also installed ligtkgl2.0 and libjpegturbo:
launched from terminal ...
reported
Code:
#gcad3d
...
permanent gtkglarea error
#

gcad3d was working nice up to exprimo 5X3.4.12

charlie
Back to top
View user's profile Send private message 
Satori

Joined: 14 Jan 2013
Posts: 25

PostPosted: Sat 26 Jan 2013, 14:29    Post subject: Shutdown does not do a clean unmount  

Hiyas...

I'm not sure if this is dPup specific, but I've come to the conclusion that unmount of flash drives are not being performed properly at shutdown.

My system: Dell d830 with the following setup

sda1 : 800MB vfat partition used to boot the system
sda2: 14gb ext2 partition for the squeezesave file and data/apps directories
sdb1: 8gb ext2 partition for cache, temp and frequently written to directories
sdc1: 8gb pcmcia adapter for a Compact Flash adapter that holds a vfat SDHC card

Upon booting:

sda1 remains unmounted
sda2 becomes the dev_save device, with drive directories available under home
sdb1 and sdc1 are automaticly mounted


Upon Shutdown, the system hangs after the "Shutting Down"message appears on the console.
If sdc1 is unmounted manually before shutdown is attemped, then the shutdown completes fully.

If 'umount' of sdc1 is added to rc.shutdown, just after the Shutdown message, then it completes without hanging.

Without the manual unmounts or added umounts in the rc.shutdown, I find that fsck reports that all the sdb1 and sdc1 drives have not cleanly unmounted.

Booting with another minimum dPup flash drive that I use for recovery, it reports that sda2 (the save drive) has not been unmounted cleanly.

E2FSCK also reports that the squeezesave file itself has also not been unmounted cleanly.

The reason the umount is placed just after the Shutdown echo message is that it's the only place I found that didn't cause a hang, because sdc1 was still mounted.


I have a Dell C640 running dPup 5.X.15 (kernel 2.6) with a single flash drive:

sda1: 600MB vfat boot partition
sda2: 3.2GB ext2 partition for squeezesave and data/apps directories

A e2fsck of sda2 reports that it also was not unmounted cleanly after a shutdown.
Back to top
View user's profile Send private message 
Fabio T

Joined: 31 Aug 2007
Posts: 87
Location: Italy

PostPosted: Tue 29 Jan 2013, 17:43    Post subject:  

I have a question to Pemasu to Xorg version in Exprimo:

On my new laptop Fujitsu T902 only Precise Puppy 5.4.3 and Upup 3.2.29 and 3.7.2. can works Xorg correctly.

In Exprimo 3.6.2.1. Xorg won't works, Vesa Running instead to first boot, But if I switch system to text mode (for example pressing Ctrl-Alt-Backspace) screen blanks in a random color and I cannot see anymore anything.

Can I upgrade Xorg version form Exprimo ?

Thnx

Fabio
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 29 Jan 2013, 18:00    Post subject:  

Fabio T, Xorg is much older version in Dpup Exprimo. Not the best one for newer comps. I think that upgrading xorg is quite big job. There isnt fully working updated xorg for exprimo. I did test the one from squeeze backports and I even built the test version. Unfortunately there were many missing xorg drivers. It wasnt possible to use it fully. I dont know why they provided that crippled version to test. Even working synaptics driver was missing.

So...I cant help with upgrading xorg. It is too big job for me.
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3341
Location: Ontario

PostPosted: Tue 29 Jan 2013, 20:34    Post subject:  

Note to Pemasu:


.pot and .po files are essentially text files so they should have
right click menus like text files (I often open text files with leafpad)

RSH has a nice app that converts mo and po files
http://murga-linux.com/puppy/viewtopic.php?p=652165

__________________________________________
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Fri 01 Feb 2013, 03:45    Post subject:  

Hello

this the first Puppy I got with aaaaalllll works fine !
thank you for this great job.

And fast too, seems to me solid !

I have only a (very very small) problem : google chrome or chromium don't work, don't simply start.
both pet or in sfs

I'm not a good specialist, but I tried to launch in a terminal :

Quote:
# google-chrome

(nothing)

Quote:
# chromium
Illegal instruction
#


here is my very very small problem, perhaps can you help me ?
Thanks to read me

Edit
iron too :

Quote:
# /usr/bin/iron
Illegal instruction
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Fri 01 Feb 2013, 09:25    Post subject:    

Please, do not get me wrong, but tell me if my problem does not interest you, or has already been processed. I have great difficulty with English and I may have missed?
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 01 Feb 2013, 10:54    Post subject:  

Arefacti. Have you downloaded the browsers from my repo or from somwhere else. The browsers in my repo should work. I tested chromium-19.pet....it worked and then I created google-chrome-25.pet and sfs and they worked. I did upload them to the exprimo repo.

The straight link to exprimo repo is here:
http://www.smokey01.com/pemasu/pet_packages-exprimo/

You can find several browsers there.

Posting this from google-chrome-25

If you have downloaded the browsers from my repo, then something is wrong with your setup. You should post the error messages here, when you launch the browsers in console.
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Fri 01 Feb 2013, 11:11    Post subject:  

Many thanks Pemasu answer to me.

I download the browsers from the Puppy Packages Manager

my install is frugal : copy puppy_squeeze_5.X.3.6.2.1.sfs, initrd.gz and wmlinuz to my HDD and modify the menu.lst of grub

The Puppy works great, except the browsers. tor even don't work.

I'll try to download it directly from your link and I'll let you know

Thanks again !
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 791
Location: Union New Jersey USA

PostPosted: Fri 01 Feb 2013, 11:16    Post subject: Problem with Chrome, Iron, Chromium in Exprimo 3.6.2.1  

Hi Arefacti,

Don't panic. Have patience. Pemasu has a real life outside of Puppy, and maintains several puplets. Sorry I can't help but I don't use the Chrome or its clones, and am currently not in Exprimo 5x3.6.2.1.

There are a couple of things you can do in the meantime.
First, always give your posts subject titles. That way, for example, someone familiar with Chrome and its problems who may not be using Exprimo may find it and provide help.
Second, just in case it's a conflict between hardware and software describe your computer: Processor? Amount of Ram? Graphics Card?
Third, and in this case most important -- identify the pets and sfses you've tried. There are many versions of Chrome, Chromium, Iron available. Which ones are you having a problem with? It's best to provide a link to the webpage where you got them so that someone using Exprimo 3.6.2.1 can download, test and see if your problem can be duplicated.

Fourth, the 5x3.6.2.1 is an "experimental" build. Try one of the 5x3.4 Exprimos
http://www.smokey01.com/pemasu/DpupSqueeze5X/
and see if it has a problem with Chrome etc.

Fifth, abandon Chrome etc. Everything you do using Chrome is sent to google. Big Uncle is watching you. Iron does't, but can't use Chrome's plugins. Use Opera: it's almost as fast and your business remains your business.

mikesLr
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5860
Location: Kentucky

PostPosted: Fri 01 Feb 2013, 11:29    Post subject:  

For what it's worth, Chrome/Chromium/iron will not run on my older Athlon XP/older Intel hardware.

http://support.google.com/chrome/bin/answer.py?hl=en&answer=95411


Code:
    Windows requirements   Mac requirements   Linux requirements
Operating system    Windows XP Service Pack 2+
Windows Vista
Windows 7
Windows 8    Mac OS X 10.6 or later    Ubuntu 10.04+
Debian 6+
OpenSuSE 11.3+
Fedora Linux 14
Processor    Intel Pentium 4 or later    Intel    Intel Pentium 3 / Athlon 64 or later
Free disk space    100 MB
RAM    128 MB
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Fri 01 Feb 2013, 11:43    Post subject:  

here are the news :

Google chrome downloads in the exprimo repo of Pemasu works !

Before I downloaded to PPM, when I launch for example chromium the browsers in console, the answer was :

Quote:
# chromium
Illegal instruction
#


or google chrome :
Quote:
# google-chrome

(nothing)

@mikeslr : Thanks, I'll follow your advice!

Now, I'll try to get TOR in the repo of Pemasu, and I'll say to you !

thank you for your understanding, it is difficult to understand and help someone who speaks the language poorly.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 7 of 10 [142 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1405s ][ Queries: 13 (0.0443s) ][ GZIP on ]